<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php print $language ?>" xml:lang="<?php print $language ?>">
<head>
<title><?php print $head_title ?></title>
<meta http-equiv="Content-Style-Type" content="text/css" />
<?php print $head ?>
<?php print $styles ?>
<?php print $scripts ?>
<script type="text/javascript" src="<?php print $base_path . $directory .'/niftycube.js' ?>"></script>
<script type="text/javascript"><?php /* Needed to avoid Flash of Unstyle Content in IE */ ?> </script>
</head>

<body>

<div id="top-header" class="clear-block">
<?php if ($site_slogan) : ?>
<div id="site-slogan"><?php print $site_slogan ?></div>
<?php endif;?>
<?php print $search_box ?>
</div>

<div id="header" class="clear-block">
<?php if ($logo) : ?>
<a href="<?php print $base_path ?>" title="<?php print t('Home') ?>"><img id="logo" src="<?php print($logo) ?>" alt="Logo" /></a>
<?php endif; ?>

<?php if ($site_name) : ?>
<h1 id="site-name"><a href="<?php print $base_path ?>" title="<?php print t('Home') ?>"><?php print $site_name ?></a></h1>
<?php endif; ?>
</div>

<?php if (count($primary_links)) : ?>
<div id="top-nav" class="clear-block">
<ul id="primary">
<?php foreach ($primary_links as $link): ?>
<li><?php print $link ?></li>
<?php endforeach; ?>
</ul>
</div>
<?php endif; ?>

<?php if (count($secondary_links)) : ?>
<div id="top-nav2" class="clear-block">
<ul id="secondary">
<?php foreach ($secondary_links as $link): ?>
<li><?php print $link ?></li>
<?php endforeach; ?>
</ul>
</div>
<?php endif; ?>

<?php if ($header): ?>
<div id="header-block" class="clear-block"><?php print $header ?></div>
<?php endif; ?>

<div id="content-<?php print $layout ?>">

<div id="main" class="column">

<?php if ($mission): ?>
<div id="mission"><?php print $mission ?></div>
<?php endif; ?>

<?php print $breadcrumb ?>

<?php if ($title): ?>
<h2 class="title<?php print $node ? ' nodetitle' : ''; print $tabs ? ' withtabs' : ''; ?>"><?php print $title ?></h2>
<?php endif; ?>

<?php print $tabs ?>
<?php print $help ?>
<?php print $messages ?>
<?php print $content ?>

</div>

<?php if ($sidebar_left): ?>
<div id="sidebar-left" class="column sidebar">
<?php print $sidebar_left ?>
</div>
<?php endif; ?>

<?php if ($sidebar_right): ?>
<div id="sidebar-right" class="column sidebar">
<?php print $sidebar_right ?>
</div>
<?php endif; ?>

</div>

<!-- footer -->
<div id="footer-wrapper">
<div id="footer">
<?php print $footer_message ?>
</div></div>
<?php print $closure ?>
</body>
</html>
