<?php
// $Id: template.php,v 1.1 2006/10/03 11:09:28 frjo Exp $

function _phptemplate_variables($hook, $vars) {
  switch($hook) {
    case 'page':
      if ((arg(0) == 'admin')) {
        $vars['template_file'] = 'page-admin';
      }
      $vars['login_box'] = hiroshigeblue_login_box();
      break;
    case 'node':
      if (module_exist('service_links')) {
        $vars['service_links'] = theme('links', service_links_render($vars['node']));
      }
      break;
  }

  return $vars;
}

function hiroshigeblue_login_box() {
  global $user;

  // For usability's sake, avoid showing two login forms on one page.
  if (!$user->uid && (arg(0) != 'user')) {
    $form['#action'] = url($_GET['q'], drupal_get_destination());
    $form['#id'] = 'user-login-box';
    $form['name'] = array('#type' => 'textfield',
      '#title' => t('Username'),
      '#maxlength' => 60,
      '#size' => 15,
      '#required' => TRUE,
    );
    $form['pass'] = array('#type' => 'password',
      '#title' => t('Password'),
      '#size' => 15,
      '#required' => TRUE,
    );
    $form['submit'] = array('#type' => 'submit',
      '#value' => t('Log in'),
    );
    if (variable_get('user_register', 1)) {
      $form['links'] = array('#value' => l(t('Create new account'), 'user/register', array('title' => t('Create a new user account.'), 'class' => 'login-links')));
    }


    $output = drupal_get_form('user_login_box', $form, 'user_login');
  }
  else if ($user->uid) {
    $output = t('You are logged in as %name', array('%name' => theme('username', $user))) .' | '. l(t('log out'), 'logout');
  }

  return '<div id="login-box">'. $output .'</div>';
}

?>